import { Index } from './types/IndexType';
/** A function that renders extended help for an option. */
type ExtendedHelp = string | ((options: {
    markdown?: boolean;
}) => string);
export interface CLIOption<T = any> {
    arg?: string;
    choices?: T[];
    /** If false, the option is only usable in the ncurc file, or when using npm-check-updates as a module, not on the command line. */
    cli?: boolean;
    default?: T;
    deprecated?: boolean;
    description: string;
    help?: ExtendedHelp;
    parse?: (s: string, p?: T) => T;
    long: string;
    short?: string;
    type: string;
}
/** Renders the extended help for an option with usage information. */
export declare const renderExtendedHelp: (option: CLIOption, { markdown }?: {
    markdown?: boolean | undefined;
}) => string;
export declare const cliOptionsMap: Index<CLIOption<any>>;
declare const cliOptionsSorted: CLIOption<any>[];
export default cliOptionsSorted;
